ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsDenm__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__DenmReq (const LibItsDenm__TestSystem::DenmReq &p_denmReq)
INTEGER | fx__dec__DenmReq (BITSTRING &b, LibItsDenm__TestSystem::DenmReq &p)
INTEGER | fx__dec__DenmInd (BITSTRING &b, LibItsDenm__TestSystem::DenmInd &p_denmInd)
BITSTRING | fx__enc__DENM (const DENM__PDU__Descriptions::DENM &p_denm)
INTEGER | fx__dec__DENM (BITSTRING &b, DENM__PDU__Descriptions::DENM &p)
BITSTRING | fx__enc__UtDenmInitialize (const LibItsDenm__TypesAndValues::UtDenmInitialize &p_utDenmInitialize)
BITSTRING | fx__enc__UtDenmChangePosition (const LibItsDenm__TypesAndValues::UtDenmChangePosition &p_utDenmChangePosition)
BITSTRING | fx__enc__UtDenmChangePseudonym (const LibItsDenm__TypesAndValues::UtDenmChangePseudonym &p_utDenmChangePseudonym)
BITSTRING | fx__enc__UtDenmTrigger (const LibItsDenm__TypesAndValues::UtDenmTrigger &p_utDenmTrigger)
BITSTRING | fx__enc__UtDenmUpdate (const LibItsDenm__TypesAndValues::UtDenmUpdate &p_utDenmUpdate)
BITSTRING | fx__enc__UtDenmTermination (const LibItsDenm__TypesAndValues::UtDenmTermination &p_utDenmTermination)
INTEGER | fx__dec__UtDenmResults (BITSTRING &b, LibItsDenm__TypesAndValues::UtDenmResults &p)
INTEGER | fx__dec__UtDenmEventInd (BITSTRING &b, LibItsDenm__TypesAndValues::UtDenmEventInd &p)

## Function Documentation

## ◆ fx__dec__DENM()

INTEGER LibItsDenm__EncdecDeclarations::fx__dec__DENM | ( | BITSTRING & | b,
|  | DENM__PDU__Descriptions::DENM & | p
| ) |  |

## ◆ fx__dec__DenmInd()

INTEGER LibItsDenm__EncdecDeclarations::fx__dec__DenmInd | ( | BITSTRING & | b,
|  | LibItsDenm__TestSystem::DenmInd & | p_denmInd
| ) |  |

## ◆ fx__dec__DenmReq()

INTEGER LibItsDenm__EncdecDeclarations::fx__dec__DenmReq | ( | BITSTRING & | b,
|  | LibItsDenm__TestSystem::DenmReq & | p
| ) |  |

## ◆ fx__dec__UtDenmEventInd()

INTEGER LibItsDenm__EncdecDeclarations::fx__dec__UtDenmEventInd | ( | BITSTRING & | b,
|  | LibItsDenm__TypesAndValues::UtDenmEventInd & | p
| ) |  |

## ◆ fx__dec__UtDenmResults()

INTEGER LibItsDenm__EncdecDeclarations::fx__dec__UtDenmResults | ( | BITSTRING & | b,
|  | LibItsDenm__TypesAndValues::UtDenmResults & | p
| ) |  |

## ◆ fx__enc__DENM()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__DENM | ( | const DENM__PDU__Descriptions::DENM & | p_denm | ) |

## ◆ fx__enc__DenmReq()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__DenmReq | ( | const LibItsDenm__TestSystem::DenmReq & | p_denmReq | ) |

## ◆ fx__enc__UtDenmChangePosition()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmChangePosition | ( | const LibItsDenm__TypesAndValues::UtDenmChangePosition & | p_utDenmChangePosition | ) |

## ◆ fx__enc__UtDenmChangePseudonym()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmChangePseudonym | ( | const LibItsDenm__TypesAndValues::UtDenmChangePseudonym & | p_utDenmChangePseudonym | ) |

## ◆ fx__enc__UtDenmInitialize()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmInitialize | ( | const LibItsDenm__TypesAndValues::UtDenmInitialize & | p_utDenmInitialize | ) |

## ◆ fx__enc__UtDenmTermination()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmTermination | ( | const LibItsDenm__TypesAndValues::UtDenmTermination & | p_utDenmTermination | ) |

## ◆ fx__enc__UtDenmTrigger()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmTrigger | ( | const LibItsDenm__TypesAndValues::UtDenmTrigger & | p_utDenmTrigger | ) |

## ◆ fx__enc__UtDenmUpdate()

BITSTRING LibItsDenm__EncdecDeclarations::fx__enc__UtDenmUpdate | ( | const LibItsDenm__TypesAndValues::UtDenmUpdate & | p_utDenmUpdate | ) |